package cn.com.countrygarden.bi.main.service.wcx;

import cn.com.countrygarden.bi.main.dto.wcx.WcxQuerySuggestDto;
import cn.com.countrygarden.bi.main.dto.wcx.WcxSuggestDto;
import cn.com.countrygarden.bi.main.dto.wcx.WcxSuggestReplyDto;
import cn.com.countrygarden.bi.main.model.PageData;

import java.util.List;

/**
 * 微创新提议接口
 * @author feng
 */

public interface WcxSuggestService {
    PageData findSuggestByTime(WcxSuggestDto dto);

    PageData findSuggestByReply(WcxSuggestDto dto);

    PageData findSuggestReply(String suggestId, String replyContent, Integer page, Integer size);

    void deleteMySuggest(String suggestId, String sysUserCode);

    List<WcxQuerySuggestDto> findSuggestByTimeExport(WcxSuggestDto wcxSuggestDto);

    List<WcxQuerySuggestDto> findSuggestByReplyExport(WcxSuggestDto wcxSuggestDto);
    /**
            * 批量获取提议回复内容
     * @param data
     * @return
     */
    List<WcxSuggestReplyDto> getSuggestReply(List<WcxQuerySuggestDto> data);
}
